e107help.org Q&A
0 like 0 dislike
Hi,

  I've previously updated from 1.x to 2.1.  My database always has 'Update from 1.x to 2.0' as an update.  When I click on it it just keeps saying update and it never updates.

  I've just overwritten with 2.1.4 and tried again but the database still says to update.

Is there a way I can manually fix this in phpmysql?

thanks

Paul
e107 version 2.1.4
in Updating by (11 points)

Got the reply mechanism wrong!  Anyway, thanks for the reply Moc

Update required in update_routines.php on line 1525 (Import 8 Download File(s) and 0 Public File(s) into Media Manager)

Plugin Update(s) Required - different version

Calling e107.org using xmlrpc adapter

Local version: 1.0 Remote version: 2.1.0

I'm also getting some PHP errors

 

Warning ini_set(): session.configuration 'session.hash_function' must be existing hash function. sha512 does not exist., Line 228 of /usr/local/www/paulmcgrath/e107_handlers/session_handler.php

1 Answer

0 like 0 dislike
Please enable debug mode to show the exact update message:

- Change the URL to /e107_admin/admin.php?[debug=basic+] (you may need to enable the developer mode in Preferences > Advanced)
- Copy the update message in your reply.
by (2.5k points) 3 4 4

Thanks for the reply Moc

 

Update required in update_routines.php on line 1525 (Import 8 Download File(s) and 0 Public File(s) into Media Manager)

Plugin Update(s) Required - different version

Calling e107.org using xmlrpc adapter

Local version: 1.0 Remote version: 2.1.0

Please contact us through Gitter to debug this for you. I suspect the folder permissions (CHMOD) are not set correctly, so e107 cannot import/move the files.

https://gitter.im/e107inc/e107
Thank you I will.
Welcome to e107 Q&A, where you can ask questions and receive answers from other members of the e107 community.
825 questions
1,225 answers
2,125 comments
807 users